<template>
  <component :is="component" />
</template>

<script>
// eslint-disable-next-line no-unused-vars
import { mapActions, mapGetters, mapMutations, mapState } from 'vuex'

import AdminSettings from './AdminSettings'
import StudentSettings from './StudentSettings'
import PageNotFound from '@/views/PageNotFound'

const getKey = (key, obj) => obj[key] === undefined ? obj.default : obj[key]

export default {
  components: {
    AdminSettings,
    StudentSettings,
    PageNotFound
  },

  computed: {
    ...mapState('users', {
      authUser: 'authUser'
    }),

    component () {
      return getKey(this.authUser.level, {
        admin: 'admin-settings',
        student: 'student-settings',
        default: 'page-not-found'
      })
    }
  }
}
</script>
